<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Tradeoff: Automatic or explicit</h1>

<p>
  When should resize happen? Starting with a 1k image:

  <p>
    Automatic (like file system):
    <br>NBD_CMD_WRITE(offset=0,len=2k) -> success, size now 2k
  <p>
    Explicit (like block device):
    <br>NBD_CMD_WRITE(offset=0,len=2k) -> fails
    <br>NBD_CMD_RESIZE(2k) -> success, size now 2k
    <br>NBD_CMD_WRITE(offset=0,len=2k) -> success
</p>
